Skip to main content

GetVideoStatus

Response-body reference for POST /get_video_status.

Example

{
"success": true,
"message": null,
"data": {
"video": {
"video_id": "f2d9a2d4f94a4d4da6d2a0a2f4d24f01",
"status": "running",
"input_video_path": "/input/warehouse.mp4",
"input_video_name": "warehouse-shift-1",
"length": 120.0,
"current_processing_time": 30.0,
"percent_complete": 25.0,
"wall_time_seconds": 31.2,
"started_at": 1781280000.0,
"completed_at": null,
"runtime_metrics": {},
"native_pipeline_metrics": {},
"native_event_outputs": {},
"error": null
}
}
}

Fields

FieldTypeDescription
successbooleanIndicates whether the request succeeded.
messagestringOptional server message.
data.video.video_idstringVideo-processing job identifier.
data.video.statusstringCurrent status, such as running, completed, failed, or not_found.
data.video.input_video_pathstringInput video path for the job.
data.video.input_video_namestringFriendly video job name.
data.video.lengthnumberVideo length in seconds.
data.video.current_processing_timenumberCurrent processing timestamp in seconds.
data.video.percent_completenumberPercent complete reported by the video processor.
data.video.wall_time_secondsnumberWall-clock runtime in seconds.
data.video.runtime_metricsobjectRuntime metrics reported by the processor.
data.video.native_pipeline_metricsobjectNative pipeline metrics reported by the processor.
data.video.native_event_outputsobjectNative event output paths reported by the processor.
data.video.errorstringOptional error text.